# H235_Params Class Reference

`#include <h235.h>`

Inheritance diagram for H235_Params:

List of all members.

## Public Types

enum | OptionalFields { e_ranInt, e_iv8, e_iv16, e_iv, e_clearSalt }

## Public Member Functions

| H235_Params (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

PASN_Integer | m_ranInt
H235_IV8 | m_iv8
H235_IV16 | m_iv16
PASN_OctetString | m_iv
PASN_OctetString | m_clearSalt

## Member Enumeration Documentation

enum H235_Params::OptionalFields

Enumerator:

  e_ranInt |
  e_iv8 |
  e_iv16 |
  e_iv |
  e_clearSalt |

## Constructor & Destructor Documentation

H235_Params::H235_Params | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H235_Params::GetDataLength | ( |  | ) | const

PBoolean H235_Params::Decode | ( | PASN_Stream & | strm | ) |

void H235_Params::Encode | ( | PASN_Stream & | strm | ) | const

void H235_Params::PrintOn | ( | ostream & | strm | ) | const

Comparison H235_Params::Compare | ( | const PObject & | obj | ) | const

PObject* H235_Params::Clone | ( |  | ) | const

## Member Data Documentation

PASN_Integer H235_Params::m_ranInt

H235_IV8 H235_Params::m_iv8

H235_IV16 H235_Params::m_iv16

PASN_OctetString H235_Params::m_iv

PASN_OctetString H235_Params::m_clearSalt

The documentation for this class was generated from the following file:

- h235.h